Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
Class ExcludingPluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BasePluginFilter
          org.codehaus.groovy.grails.plugins.ExcludingPluginFilter

All Implemented Interfaces:
  PluginFilter

    public class ExcludingPluginFilter

extends BasePluginFilter

Implementation of `PluginFilter` which removes that all of the supplied plugins (identified by name) as well as their dependencies are omitted from the filtered plugin list

Author:
  Phil Zoio

Field Summary

Fields inherited from class org.codehaus.groovy.grails.plugins.BasePluginFilter
`nameMap`

Constructor Summary
`ExcludingPluginFilter(Set excluded)`
`ExcludingPluginFilter(String[] excluded)`

Method Summary
`protected void` | `addPluginDependencies(List additionalList, GrailsPlugin plugin)` Defines operation for adding dependencies for a plugin to the list
`protected List` | `getPluginList(List original, List pluginList)` Defines an operation getting the final list to return from the original and derived lists

Methods inherited from class org.codehaus.groovy.grails.plugins.BasePluginFilter
`filterPluginList, getAllPlugins, getNamedPlugin, getSuppliedNames, isDependentOn, registerDependency`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludingPluginFilter

    public ExcludingPluginFilter(Set excluded)

### ExcludingPluginFilter

    public ExcludingPluginFilter(String[] excluded)

Method Detail

### getPluginList

    protected List getPluginList(List original,
                                 List pluginList)

  Description copied from class: `BasePluginFilter`
  Defines an operation getting the final list to return from the original and derived lists

  Specified by:
    `getPluginList` in class `BasePluginFilter`

### addPluginDependencies

    protected void addPluginDependencies(List additionalList,
                                         GrailsPlugin plugin)

  Description copied from class: `BasePluginFilter`
  Defines operation for adding dependencies for a plugin to the list

  Specified by:
    `addPluginDependencies` in class `BasePluginFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project